Method: partners.tickets.comments.list

Lists comments on a Support Ticket.

HTTP request

GET https://partneroperations.googleapis.com/v1/{parent=partners/*/tickets/*}/comments

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent ticket to list comments for. Format: partners/{partner}/tickets/{ticket}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of comments to return. If unspecified, at most 50 comments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous comments.list call.

filter

string

Optional. Filter for comments. Supports attachment:* to list only comments with attachments.

Request body

The request body must be empty.

Response body

Response message for comments.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "comments": [
    {
      object (Comment)
    }
  ],
  "nextPageToken": string
}
Fields
comments[]

object (Comment)

Comments for the specified ticket.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/partner-operations
  • https://www.googleapis.com/auth/partner-operations.readonly